com.amazonaws.services.workspaces.model

## Class TerminateWorkspacesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.TerminateWorkspacesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class TerminateWorkspacesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Contains the inputs for the TerminateWorkspaces operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`TerminateWorkspacesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TerminateWorkspacesRequest` `clone()`
`boolean` `equals(Object obj)`
`List<TerminateRequest>` `getTerminateWorkspaceRequests()` An array of structures that specify the WorkSpaces to terminate.
`int` `hashCode()`
`void` `setTerminateWorkspaceRequests(Collection<TerminateRequest> terminateWorkspaceRequests)` An array of structures that specify the WorkSpaces to terminate.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateWorkspacesRequest` `withTerminateWorkspaceRequests(Collection<TerminateRequest> terminateWorkspaceRequests)` An array of structures that specify the WorkSpaces to terminate.
`TerminateWorkspacesRequest` `withTerminateWorkspaceRequests(TerminateRequest... terminateWorkspaceRequests)` An array of structures that specify the WorkSpaces to terminate.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TerminateWorkspacesRequest

    public TerminateWorkspacesRequest()

### Method Detail

#### getTerminateWorkspaceRequests

    public List<TerminateRequest> getTerminateWorkspaceRequests()

An array of structures that specify the WorkSpaces to terminate.

Returns:
  An array of structures that specify the WorkSpaces to terminate.

#### setTerminateWorkspaceRequests

    public void setTerminateWorkspaceRequests(Collection<TerminateRequest> terminateWorkspaceRequests)

An array of structures that specify the WorkSpaces to terminate.

Parameters:
  `terminateWorkspaceRequests` - An array of structures that specify the WorkSpaces to terminate.

#### withTerminateWorkspaceRequests

    public TerminateWorkspacesRequest withTerminateWorkspaceRequests(TerminateRequest... terminateWorkspaceRequests)

An array of structures that specify the WorkSpaces to terminate.

NOTE: This method appends the values to the existing list (if any). Use `setTerminateWorkspaceRequests(java.util.Collection)` or `withTerminateWorkspaceRequests(java.util.Collection)` if you want to override the existing values.

Parameters:
  `terminateWorkspaceRequests` - An array of structures that specify the WorkSpaces to terminate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTerminateWorkspaceRequests

    public TerminateWorkspacesRequest withTerminateWorkspaceRequests(Collection<TerminateRequest> terminateWorkspaceRequests)

An array of structures that specify the WorkSpaces to terminate.

Parameters:
  `terminateWorkspaceRequests` - An array of structures that specify the WorkSpaces to terminate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TerminateWorkspacesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`